RubyGems Navigation menu

rubocop 0.53.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.11.0 - March 01, 2021 (473 KB)
  2. 1.10.0 - February 15, 2021 (469 KB)
  3. 1.9.1 - February 01, 2021 (467 KB)
  4. 1.9.0 - January 28, 2021 (466 KB)
  5. 1.8.1 - January 11, 2021 (459 KB)
  6. 0.53.0 - March 05, 2018 (377 KB)
Show all versions (172 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (1):

  • bundler ~> 1.3
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    ce9862b128c49183b2bf2b3416825557ca99bddd504eb1a9f815e8039f201b28

    Total downloads 145,437,627

    For this version 1,021,447

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.1.0

    Links: